org.keycloak.adapters.wildfly

## Class WildflyKeycloakServletExtension

- java.lang.Object
- - org.keycloak.adapters.undertow.KeycloakServletExtension
  - - org.keycloak.adapters.wildfly.WildflyKeycloakServletExtension

- All Implemented Interfaces:
    io.undertow.servlet.ServletExtension

      public class WildflyKeycloakServletExtension
      extends KeycloakServletExtension

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static org.jboss.logging.Logger` | `log`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `WildflyKeycloakServletExtension()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected ServletKeycloakAuthMech` | `createAuthenticationMechanism(io.undertow.servlet.api.DeploymentInfo deploymentInfo, AdapterDeploymentContext deploymentContext, UndertowUserSessionManagement userSessionManagement, NodesRegistrationManagement nodesRegistrationManagement)`

    - ### Methods inherited from class org.keycloak.adapters.undertow.KeycloakServletExtension

      `getErrorPage, handleDeployment, isAuthenticationMechanismPresent`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### log

          protected static org.jboss.logging.Logger log

  - ### Constructor Detail

    - #### WildflyKeycloakServletExtension

          public WildflyKeycloakServletExtension()

  - ### Method Detail

    - #### createAuthenticationMechanism

          protected ServletKeycloakAuthMech createAuthenticationMechanism(io.undertow.servlet.api.DeploymentInfo deploymentInfo,
                                                              AdapterDeploymentContext deploymentContext,
                                                              UndertowUserSessionManagement userSessionManagement,
                                                              NodesRegistrationManagement nodesRegistrationManagement)

      Overrides:
        `createAuthenticationMechanism` in class `KeycloakServletExtension`

Copyright © 2015. All Rights Reserved.